# Py Packet Sniffer
disclaimer : This code should not be used on anyone, this is strictly for educational purposes only.
#Scapy has no http filter by default, so :

## Require :

### 1. install module
`pip install scapy_http`
### 2. import
`from scapy.layers import http`

## For Filtering all data and search for login and password :
### 1. filter HTTP

if packet.haslayer(http.HTTPRequest).

To see the different layer content: http, IP, TCP, Ethernet, Raw & which layer contain login & password or otherthings :

print(packet.show()) : 
         
### 2. Search which layer contain login & pass field:

print(packet.show())

Login & password field : Raw Layer

### 3. Filter the Raw Layer:

if packet.haslayer(scapy.Raw)

For others : packet.haslayer(scapy.other_layer)

### 4. Read the data:

print(packet[scapy.Raw].load)

### 5. Filter URL :

    if packet.haslayer(http.HTTPRequest):
    
        print(packet.show())   // All layer with diffrent field, for URL : Host + Path
    
    so URL = packet[http.HTTPRequest].Host + packet[http.HTTPRequest].Path
